source $tcl_library/tv/mfslib.tcl

set db [dbopen]
array set count_by_type {}

set count 0
ForeachMfsFile fsid name type "/Server" "" {RetryTransaction {
    # Show a pulse
    incr count
    if {[expr $count % 500] == 0} {
        puts "Examined $count records"
    }

    # Read the object and type
    if {[catch {set object [db $db openid $fsid]} err]} {
        puts "Warning - could not open object $fsid: $err"
    } else {
        set objtype [dbobj $object type]
	if {![info exists count_by_type($objtype)]} {set count_by_type($objtype) 0}
	incr count_by_type($objtype)
    }
}}

foreach i [array names count_by_type] {
    puts "$i - $count_by_type($i)"
}
puts "Total - $count"
